org.keycloak.saml

## Class BaseSAML2BindingBuilder.BasePostBindingBuilder

- java.lang.Object
- - org.keycloak.saml.BaseSAML2BindingBuilder.BasePostBindingBuilder

- Direct Known Subclasses:
    JaxrsSAML2BindingBuilder.PostBindingBuilder
  Enclosing class:
    BaseSAML2BindingBuilder<T extends BaseSAML2BindingBuilder>

      public static class BaseSAML2BindingBuilder.BasePostBindingBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BaseSAML2BindingBuilder` | `builder`
    `protected Document` | `document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePostBindingBuilder(BaseSAML2BindingBuilder builder, Document document)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encoded()`
    `Document` | `getDocument()`
    `String` | `getHtmlRequest(String actionUrl)`
    `String` | `getHtmlResponse(String actionUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### document

          protected Document document

    - #### builder

          protected BaseSAML2BindingBuilder builder

  - ### Constructor Detail

    - #### BasePostBindingBuilder

          public BasePostBindingBuilder(BaseSAML2BindingBuilder builder,
                                        Document document)
                                 throws ProcessingException

      Throws:
        `ProcessingException`

  - ### Method Detail

    - #### encoded

          public String encoded()
                         throws ProcessingException,
                                ConfigurationException,
                                IOException

      Throws:
        `ProcessingException`
        `ConfigurationException`
        `IOException`

    - #### getDocument

          public Document getDocument()

    - #### getHtmlResponse

          public String getHtmlResponse(String actionUrl)
                                 throws ProcessingException,
                                        ConfigurationException,
                                        IOException

      Throws:
        `ProcessingException`
        `ConfigurationException`
        `IOException`

    - #### getHtmlRequest

          public String getHtmlRequest(String actionUrl)
                                throws ProcessingException,
                                       ConfigurationException,
                                       IOException

      Throws:
        `ProcessingException`
        `ConfigurationException`
        `IOException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.